OpenVDB 11.0.0

Loading...
Searching...
No Matches
RootData< ChildT >::Tile Struct Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
template<typename CoordType>
void | setChild (const CoordType &k, const void *ptr, const RootData *data)
template<typename CoordType, typename ValueType>
void | setValue (const CoordType &k, bool s, const ValueType &v)
bool | isChild () const
bool | isValue () const
bool | isActive () const
CoordT | origin () const

## Public Attributes
KeyT | key
int64_t | child
uint32_t | state
ValueT | value

## Member Function Documentation

## ◆ isActive()

template<typename ChildT>

bool isActive | ( |  | ) | const
| inline

## ◆ isChild()

template<typename ChildT>

bool isChild | ( |  | ) | const
| inline

## ◆ isValue()

template<typename ChildT>

bool isValue | ( |  | ) | const
| inline

## ◆ origin()

template<typename ChildT>

CoordT origin | ( |  | ) | const
| inline

## ◆ setChild()

template<typename ChildT>
template<typename CoordType>

void setChild | ( | const CoordType & | k,
|  | const void * | ptr,
|  | const RootData * | data )
| inline

## ◆ setValue()

template<typename ChildT>
template<typename CoordType, typename ValueType>

void setValue | ( | const CoordType & | k,
|  | bool | s,
|  | const ValueType & | v )
| inline

## Member Data Documentation

## ◆ child

template<typename ChildT>

int64_t child

## ◆ key

template<typename ChildT>

KeyT key

## ◆ state

template<typename ChildT>

uint32_t state

## ◆ value

template<typename ChildT>

ValueT value